/*---------------------------------------------------------------------------*
  Project:  G2D Program Sample
  File:     background.h

  Copyright 2004 Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.

  $Log: $
  $NoKeywords: $
 *---------------------------------------------------------------------------*/
#ifndef BACKGROUND_H_ 
#define BACKGROUND_H_

#include "task_control.h"

#ifdef __cplusplus
extern "C" {
#endif

#define BG2_H_SCROLL_SPEED_SHIFT  2     /* H Scrolling Speed Adjustment for BG2 */
#define BG2_V_SCROLL_SPEED_SHIFT  1     /* V Scrolling Speed Adjustment for BG2 */
#define BG3_H_SCROLL_SPEED_SHIFT  4     /* H Scrolling Speed Adjustment for BG3 */
#define BG3_V_SCROLL_SPEED_SHIFT  3     /* V Scrolling Speed Adjustment for BG3 */

// Declaration of External Functions
extern void BackGround01(void);
extern void BackGround01_Init(void);
extern void UpdateBg1ScreenOffset(void);
extern void UpdateBg1ScreenData(void);
extern void BackGround02(void);
extern void BackGround02_Init(void);
extern void UpdateBg2ScreenOffset(void);
extern void UpdateBg2ScreenData(void);
extern void BackGround03(void);
extern void BackGround03_Init(void);
extern void UpdateBg3ScreenOffset(void);

// Declaration of External Variables
extern const unsigned char fieldCharacter[8*8*256];
extern const unsigned short fieldPalette[256];
extern const unsigned short fieldScreen[8][32][32];
extern u16 fieldScrnBuf[2][32][32]; 

extern const unsigned short mountPalette[256];
extern const unsigned char mountCharacter[8*8*928];
extern const unsigned short mountScreen[2][32][32];
extern u16 mountScrnBuf[2][32][32]; 

extern const unsigned short skyPalette[16];
extern const unsigned char skyCharacter[8*8/2*208];
extern const unsigned short skyScreen[2][32][32];
extern u16 sSkyScrnBuf[2][32][32]; 

// Task Structure Exclusive to the Background
typedef struct BgTask {
    
    /* Shared */
    TaskCommonData common;      

    /* Exclusive */
    NNSG2dFVec2     pos;        /* Cell XY Coordinates */

} BgTask;

#ifdef __cplusplus
}/* extern "C" */
#endif

#endif // BACKGROUND_H_
