/*---------------------------------------------------------------------------*
  Project:  G2D Program Sample
  File:     common.h

  Copyright 2004 Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.

  $Log: $
  $NoKeywords: $
 *---------------------------------------------------------------------------*/
#ifndef COMMON_H_ 
#define COMMON_H_

#include <nitro.h>
#include <nnsys/g2d.h>
#include <nnsys/fnd.h>

#define SCREEN_WIDTH  256                       // Screen width
#define SCREEN_HEIGHT 192                       // Screen hight
#define FX32_SCREEN_CENTER_X (FX32_ONE * 128)   // Screen center X (fx32)
#define U32_SCREEN_CENTER_X  128                // Screen center X (u32)
#define STAGE_LENGTH  2048                      // Stage length

// OBJ-related structures
typedef struct ObjData {
    void* pFileChar;
    void* pFileCell;
    void* pFileAnim;
    NNSG2dCharacterData*    pCharData;
    NNSG2dCellDataBank*     pCellBank;
    NNSG2dAnimBankData*     pAnimBank;
    NNSG2dImageProxy        imageProxy;    /* Character / texture proxy for the cell */
    NNSG2dImagePaletteProxy paletteProxy;  /* Palette proxy for the cell */
} ObjData;

// NITRO-CHARACTER file name structures
typedef struct NitroCharacterData {
    const char* nameNCGR;   // NCGR
    const char* nameNCBR;   // NCBR
    const char* nameNCER;   // NCER
    const char* nameNANR;   // NANR
    const char* nameNCLR;   // NCLR
} NitroCharacterData;   

// Declaration of external functions
extern void VBlankIntr( void );
extern NNSFndHeapHandle       gHeapHandle;    /* Heap handle */
extern NNSG2dFVec2              gYoshiPos;    /* Yoshi's XY coordinates */
extern int gBgHScroll;                        /* BG H scroll value */
extern int gBgVScroll;                        /* BG V scroll value */
extern void CommonInit(void);
extern void CameraSetup(void);
extern void MaterialSetup(void);

#endif // COMMON_H_

