/*---------------------------------------------------------------------------*
  Project:  G2D Program Sample
  File:     emitter.h

  Copyright 2004 Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.

  $Log: $
  $NoKeywords: $
 *---------------------------------------------------------------------------*/
#ifndef EMITTER_H_ 
#define EMITTER_H_

#include "task_control.h"

#ifdef __cplusplus
extern "C" {
#endif

// Declaration of external functions
extern void HeihoRedEmitter(void);
extern void HeihoRedEmitter_Init(void);

// Emitter-exclusive task structure
typedef struct EmitterTask {
    
    /* Common */  
    TaskCommonData common;
  
    /* Exclusive */
    s32 num;                /* Number */
    u32 counter;            /* Counter */
    NNSG2dFVec2 pos;        /* Cell XY coordinates */
    u16 rotate;             /* Rotation value */
    u16 pad;                /* Padding */

} EmitterTask;

#ifdef __cplusplus
}/* extern "C" */
#endif

#endif // EMITTER_H_


