/*---------------------------------------------------------------------------*
  Project:  G2D Program Sample
  File:     enemy.h

  Copyright 2004 Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.

  $Log: $
  $NoKeywords: $
 *---------------------------------------------------------------------------*/
#ifndef HEIHO_H_ 
#define HEIHO_H_

#include <nitro.h>
#include "utility.h"

#ifdef __cplusplus
extern "C" {
#endif

// Declaration of external variables
extern ObjData objDataHeihoRed;
extern ObjData objDataKiller;
extern const NitroCharacterData fileHeihoRed;
extern const NitroCharacterData fileKiller;
extern NNSG2dImageAttr TexAttrKiller;

// Declaration of external functions
void HeihoRedBirth(void);
void HeihoRedWalk_Init(void);
void HeihoRedWalk(void);
void HeihoRedDie_Init(void);
void HeihoRedDie(void);
void Killer_Init(void);
void Killer(void);

typedef struct EnemyTask EnemyTask;

// Enemy-exclusive task structure
struct EnemyTask {
    
    /* Common */
    TaskCommonData common;

    /* Exclusive */
    NNSG2dFVec2     pos;                /* Cell XY coordinates */
    Direction       direction;          /* Direction */
    NNSG2dFVec2     velocity;           /* Speed (Right and up are positive)*/
    fx32            animSpeed;          /* Animation speed */
    u32             alpha;              /* Alpha value */             
    NNSG2dSVec2     size;               /* Size */
    NNSG2dCellAnimation* cellAnim;      /* Pointer to the cell animation entity */ 
    u32             cellTransManHandle; /* Handle of the cell transmission state manager object */ 
    Damage          damage;             /* Damage */ 
    s16             hitpoint;           /* Hit points */
    u16             pad;                /* Padding */    
};

#ifdef __cplusplus
}/* extern "C" */
#endif

#endif // HEIHO_H_
