/*---------------------------------------------------------------------------*
  Project:  G2D Program Sample
  File:     scene.h

  Copyright 2004 Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.

  $Log: $
  $NoKeywords: $
 *---------------------------------------------------------------------------*/
#ifndef SCENE_H_
#define SCENE_H_

#include "task_control.h"

#ifdef __cplusplus
extern "C" {
#endif

// Declaration of external functions
extern void SceneTitle(void);
extern void SceneTitle_Init(void);
extern void SceneStage00(void);
extern void SceneStage00_Init(void);
extern void SceneChange(void);

// Scene-exclusive task structure
typedef struct SceneTask {
    
    /* Common */
    TaskCommonData common;

    /* Exclusive */
    Funcp nextScene;    /* The next scene to execute */
    Task* relateTask;   /* Related tasks */

} SceneTask;

#ifdef __cplusplus
}/* extern "C" */
#endif

#endif /* SCENE_H_ */
