/*---------------------------------------------------------------------------*
  Project:  G2D Program Sample
  File:     schedule.h

  Copyright 2004 Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.

  $Log: $
  $NoKeywords: $
 *---------------------------------------------------------------------------*/
#ifndef SCHEDULE_H_ 
#define SCHEDULE_H_

#include <nitro.h>

#ifdef __cplusplus
extern "C" {
#endif

// Definition of macro constants
#define EVENT_HAPPEN_RANGE   (FX32_ONE * 5)

// Event structures
#pragma  warn_padding off
typedef struct EventHappen{
    fx32        location;
    Funcp       func;
    u16         priority;
    NNSG2dFVec2 pos_diff;
    NNSG2dSVec2 size;
    fx32        velocity_h;
    fx32        velocity_v;
} EventHappen;
#pragma  warn_padding reset

// Declaration of functions
extern void Stage00_Schedule(void);
extern void Stage00_ClearEventFlags(void);

#ifdef __cplusplus
}/* extern "C" */
#endif

#endif // SCHEDULE_H_

