/*---------------------------------------------------------------------------*
  Project:  G2D Program Sample
  File:     task_priority.h

  Copyright 2004 Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.

  $Log: $
  $NoKeywords: $
 *---------------------------------------------------------------------------*/
#ifndef TASK_PRIORITY_H_ 
#define TASK_PRIORITY_H_

#ifdef __cplusplus
extern "C" {
#endif
 
// List of task priorities

#define TASK_PRIORITY_HEAD              0x0000	// Starting task
#define TASK_PRIORITY_READKEY           0x0005	// Key input

#define TASK_PRIORITY_BEGIN_RENDER2D    0x0006	// Begin 2D renderer rendering
#define TASK_PRIORITY_TITLE             0x0007	// Title
#define TASK_PRIORITY_END_RENER2D       0x0008	// End 2D renderer rendering

#define TASK_PRIORITY_BEGIN_RENDER3D    0x0009	// Start 3D renderer rendering
#define TASK_PRIORITY_YOSHI             0x0010  // Yoshi
#define TASK_PRIORITY_ENEMY             0x0011  // Enemy character
#define TASK_PRIORITY_EFFECT            0x0012	// Effect
#define TASK_PRIORITY_COLLISION         0x0013	// Collision
#define TASK_PRIORITY_END_RENER3D       0x0014	// End 3D renderer rendering

// The rendering functions aside from the renderer functions
// must be executed outside of
// <NNS_G2dBeginRendering - NNS_G2dEndRendering> 

#define TASK_PRIORITY_ENEMY_NOTRENDER             0x0018  // Enemy character
#define TASK_PRIORITY_EFFECT_NOTRENDER            0x0019  // Effect
#define TASK_PRIORITY_EFFECT_NOTRENDER_ALPHA      0x0020  // Semi-transparent effect

#define TASK_PRIORITY_BG                0x0030	// BG
#define TASK_PRIORITY_EMITTER           0x0040	// Emitter
#define TASK_PRIORITY_SCHEDULE          0xFF00	// Scheduler
#define TASK_PRIORITY_FADEIN            0xFF01	// Fade-in
#define TASK_PRIORITY_SCENE             0xFF02	// Scene
#define TASK_PRIORITY_TAIL              0xFFFF	// End task

#ifdef __cplusplus
}/* extern "C" */
#endif

#endif // TASK_PRIORITY_H_
