/*---------------------------------------------------------------------------*
  Project:  G2D Program Sample
  File:     background01_init.c

  Copyright 2004 Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.

  $Log: $
  $NoKeywords: $
 *---------------------------------------------------------------------------*/
 
#include <nitro.h>
#include "task_control.h"
#include "background.h"

// Definition of variables
u16 fieldScrnBuf[2][32][32]; 

/*---------------------------------------------------------------------------*
  Name:         BackGround01_Init

  Description:  Configures the BG1 display.
                Changes the task to [BackGround01].
                        
  Arguments:    None
                
  Returns:      None
 *---------------------------------------------------------------------------*/

void BackGround01_Init(void)
{
    BgTask* pSelfTask = (BgTask *)TaskCtrl_GetCurrentTask();

    GX_LoadBG1Char(fieldCharacter, 0, sizeof(fieldCharacter));
    GX_BeginLoadBGExtPltt();
    GX_LoadBGExtPltt(fieldPalette, 0x2000, sizeof(fieldPalette));   // Slot 1
    GX_EndLoadBGExtPltt();
    MI_CpuClear32( fieldScrnBuf, sizeof(fieldScrnBuf));
    MI_DmaCopy16( 3, fieldScreen[0], &fieldScrnBuf[0], sizeof(fieldScreen[0]) );
    MI_DmaCopy16( 3, fieldScreen[1], &fieldScrnBuf[1], sizeof(fieldScreen[1]) );    
    DC_FlushRange(fieldScrnBuf, sizeof(fieldScrnBuf));
    GX_LoadBG1Scr(fieldScrnBuf, 0, sizeof(fieldScrnBuf));
    
    pSelfTask->common.func = BackGround01; // Change task to [BackGround01] 
}

