/*---------------------------------------------------------------------------*
  Project:  G2D Program Sample
  File:     background02_init.c

  Copyright 2004 Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.

  $Log: $
  $NoKeywords: $
 *---------------------------------------------------------------------------*/
 
#include <nitro.h>
#include "task_control.h"
#include "background.h"

// Declaration of variables
u16 mountScrnBuf[2][32][32]; 

/*---------------------------------------------------------------------------*
  Name:         BackGround02_Init

  Description:  Configures the BG2 display.
                Changes the task to [BackGround02].
                        
  Arguments:    None
                
  Returns:      None
 *---------------------------------------------------------------------------*/

void BackGround02_Init(void)
{
    BgTask* pSelfTask = (BgTask *)TaskCtrl_GetCurrentTask();

    // Mountain (BG2)
    GX_LoadBG2Char(mountCharacter, 0, sizeof(mountCharacter));
    GX_BeginLoadBGExtPltt();
    GX_LoadBGExtPltt(mountPalette, 0x4000, sizeof(mountPalette));   // Slot 2
    GX_EndLoadBGExtPltt();
    MI_CpuClear32( mountScrnBuf, sizeof(mountScrnBuf));
    MI_DmaCopy16( 3, mountScreen[0], &mountScrnBuf[0], 2*32*32 );
    MI_DmaCopy16( 3, mountScreen[1], &mountScrnBuf[1], 2*32*32 );    
    DC_FlushRange(mountScrnBuf, sizeof(mountScrnBuf));
    GX_LoadBG2Scr(mountScrnBuf, 0, sizeof(mountScrnBuf));
    
    pSelfTask->common.func = BackGround02; // Change task to [BackGround02] 
}

