/*---------------------------------------------------------------------------*
  Project:  G2D Program Sample
  File:     background03.c

  Copyright 2004 Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.

  $Log: $
  $NoKeywords: $
 *---------------------------------------------------------------------------*/

#include <nitro.h>
#include "background.h"
#include "common.h"

// Declaration of internal variables
static s32 sHOffsetBg3;
static s32 sVOffsetBg3;

/*---------------------------------------------------------------------------*
  Name:         BackGround03

  Description:  Displays the background (BG3).
                Scrolls up, down, left, and right according to Yoshi's movements.
                        
  Arguments:    None
                
  Returns:      None
 *---------------------------------------------------------------------------*/

void BackGround03(void)
{   
    sHOffsetBg3 = gBgHScroll >> BG3_H_SCROLL_SPEED_SHIFT;
    sVOffsetBg3 = U32_SCREEN_CENTER_X + gBgVScroll>>BG3_V_SCROLL_SPEED_SHIFT;   // The initial value is U32_SCREEN_CENTER_X
}                                           

/*---------------------------------------------------------------------------*
  Name:         UpdateBg3ScreenOffset

  Description:  Updates the screen offset of the background (BG3).
                        
  Arguments:    None
                
  Returns:      None
 *---------------------------------------------------------------------------*/

void UpdateBg3ScreenOffset(void)
{
    G2_SetBG3Offset(sHOffsetBg3, sVOffsetBg3);
}

