/*---------------------------------------------------------------------------*
  Project:  G2D Program Sample
  File:     background03_init.c

  Copyright 2004 Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.

  $Log: $
  $NoKeywords: $
 *---------------------------------------------------------------------------*/

#include <nitro.h>
#include "task_control.h"
#include "background.h"

// Declaration of internal variables
static u16 sSkyScrnBuf[2][32][32]; 

/*---------------------------------------------------------------------------*
  Name:         BackGround03_Init

  Description:  Configures the BG3 display.
                Changes the task to [BackGround03].
                        
  Arguments:    None
                
  Returns:      None
 *---------------------------------------------------------------------------*/

void BackGround03_Init(void)
{
    Task* pSelfTask = TaskCtrl_GetCurrentTask();

    GX_LoadBG3Char(skyCharacter, 0, sizeof(skyCharacter));
    GX_LoadBGPltt(skyPalette, 0, sizeof(skyPalette));   // 16-color standard palette
    MI_CpuClear32( sSkyScrnBuf, sizeof(sSkyScrnBuf));
    MI_DmaCopy16( 3, skyScreen[0], &sSkyScrnBuf[0], 2*32*32 );
    MI_DmaCopy16( 3, skyScreen[1], &sSkyScrnBuf[1], 2*32*32 );    
    DC_FlushRange(sSkyScrnBuf, sizeof(sSkyScrnBuf));
    GX_LoadBG3Scr(sSkyScrnBuf, 0, sizeof(sSkyScrnBuf));
    
    pSelfTask->common.func = BackGround03; // Change task to [BackGround03] 
}

