/*---------------------------------------------------------------------------*
  Project:  G2D Program Sample
  File:     effect_data.c

  Copyright 2004 Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.

  $Log: $
  $NoKeywords: $
 *---------------------------------------------------------------------------*/

#include <nitro.h>
#include "utility.h"

ObjData objDataSmoke;
ObjData objDataPipe;
ObjData objDataTitle;
ObjData objDataTitleMini;
ObjData objDataStar;

const NitroCharacterData fileSmoke =
{
    NULL,               // NCGR
    "data/SMOKE.NCBR",  // NCBR
    NULL,               // NCER
    NULL,               // NANR
    "data/BASIC.NCLR"   // NCLR
};

const NitroCharacterData filePipe =
{
    NULL,               // NCGR
    "data/PIPE.NCBR",   // NCBR
    NULL,               // NCER
    NULL,               // NANR
    "data/PIPE.NCLR"    // NCLR
};

const NitroCharacterData fileTitle =
{
    "data/TITLE.NCGR",  // NCGR
    NULL,               // NCBR
    "data/TITLE.NCER",  // NCER
    NULL,               // NANR
    "data/TITLE.NCLR"   // NCLR
};

const NitroCharacterData fileTitleMini =
{
    NULL,                   // NCGR
    "data/TITLE_MINI.NCBR", // NCBR
    NULL,                   // NCER
    NULL,                   // NANR
    "data/BASIC.NCLR"       // NCLR
};

const NitroCharacterData fileStar =
{
    NULL,               // NCGR
    "data/STAR.NCBR",   // NCBR
    "data/STAR.NCER",   // NCER
    "data/STAR.NANR",   // NANR
    "data/BASIC.NCLR"   // NCLR
};

NNSG2dImageAttr TexAttrTitleMini = 
{ 
    GX_TEXSIZE_S128,            // GXTexSizeS
    GX_TEXSIZE_T16,             // GXTexSizeT
    GX_TEXFMT_PLTT256,          // GXTextFmt
    FALSE,                      // bExtendedPlt
    GX_TEXPLTTCOLOR0_TRNS,      // plttUse
    GX_OBJVRAMMODE_CHAR_1D_32K  // mappingType
};

NNSG2dImageAttr TexAttrTitle = 
{ 
    GX_TEXSIZE_S256,        // GXTexSizeS
    GX_TEXSIZE_T32,         // GXTexSizeT
    GX_TEXFMT_PLTT256,      // GXTextFmt
    FALSE,                  // bExtendedPlt
    GX_TEXPLTTCOLOR0_USE,   // plttUse
    GX_OBJVRAMMODE_CHAR_2D  // mappingType
};

NNSG2dImageAttr TexAttrSmoke = 
{ 
    GX_TEXSIZE_S32,         // GXTexSizeS
    GX_TEXSIZE_T32,         // GXTexSizeT
    GX_TEXFMT_PLTT256,      // GXTextFmt
    FALSE,                  // bExtendedPlt
    GX_TEXPLTTCOLOR0_TRNS,  // plttUse  
    GX_OBJVRAMMODE_CHAR_2D  // mappingType
};

NNSG2dImageAttr TexAttrPipe = 
{ 
    GX_TEXSIZE_S32,             // GXTexSizeS
    GX_TEXSIZE_T32,             // GXTexSizeT
    GX_TEXFMT_PLTT256,          // GXTextFmt
    FALSE,                      // bExtendedPlt
    GX_TEXPLTTCOLOR0_TRNS,      // plttUse
    GX_OBJVRAMMODE_CHAR_1D_32K  // mappingType
};

