/*---------------------------------------------------------------------------*
  Project:  G2D Program Sample
  File:     heiho_red_die_init.c

  Copyright 2004 Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.

  $Log: $
  $NoKeywords: $
 *---------------------------------------------------------------------------*/

#include "enemy.h"

/*---------------------------------------------------------------------------*
  Name:         HeihoRedDie_Init

  Description:  Performs the initialization process before executing [HeihoRedDie].
                Changes the task to [HeihoRedDie].
                Directly executes [HeihoRedDie].
                        
  Arguments:    None
                
  Returns:      None
 *---------------------------------------------------------------------------*/

void HeihoRedDie_Init(void)
{
    EnemyTask* pSelfTask = (EnemyTask *)TaskCtrl_GetCurrentTask();
    pSelfTask->animSpeed = FX32_ONE;
    pSelfTask->direction = (pSelfTask->velocity.x > 0) ? RIGHT : LEFT ;     

    // Rewinds the cell animation
    NNS_G2dSetCellAnimationCurrentFrame(pSelfTask->cellAnim, 0);
    
    pSelfTask->common.func = HeihoRedDie;   // Change task to [HeihoRedDie]
    HeihoRedDie();                          // Execute [HeihoRedDie] 
}

