/*---------------------------------------------------------------------------*
  Project:  G2D Program Sample
  File:     heiho_red_emitter_init.c

  Copyright 2004 Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.

  $Log: $
  $NoKeywords: $
 *---------------------------------------------------------------------------*/
 
#include <nitro.h>
#include "common.h"
#include "emitter.h"

/*---------------------------------------------------------------------------*
  Name:         HeihoRedEmitter_Init

  Description:  Performs the initialization process before executing [HeihoRedEmitter].
                Changes the task to [HeihoRedEmitter].
                        
  Arguments:    None
                
  Returns:      None
 *---------------------------------------------------------------------------*/

void HeihoRedEmitter_Init(void)
{
    EmitterTask* pSelfTask = (EmitterTask *)TaskCtrl_GetCurrentTask();

    pSelfTask->num  = 40;                   // Set the number of Heihos to generate
    pSelfTask->counter = 0;                 // Clear the counter
    pSelfTask->rotate  = 0;                 // Clear the rotation value
    
    // Calculate the Heiho generation coordinates (calculated from the 2048 cycle and the 1142 pipe position)
    pSelfTask->pos.x = (gYoshiPos.x & 0xff800000) + FX32_ONE * 1142; 
    
    pSelfTask->common.func = HeihoRedEmitter;      // Change task to [HeihoRedEmitter]
}

