/*---------------------------------------------------------------------------*
  Project:  G2D Program Sample
  File:     heiho_red_walk_init.c

  Copyright 2004 Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.

  $Log: $
  $NoKeywords: $
 *---------------------------------------------------------------------------*/

#include <nitro.h>
#include <nnsys/g2d.h>
#include "utility.h"
#include "enemy.h"
#include "vram_map.h"

/*---------------------------------------------------------------------------*
  Name:         HeihoRedWalk_Init

  Description:  Performs the initialization process before executing [HeihoRedWalk].
                Changes the task to [HeihoRedWalk].
                Directly executes [HeihoRedWalk].
                        
  Arguments:    None
                
  Returns:      None
 *---------------------------------------------------------------------------*/

void HeihoRedWalk_Init(void)
{
    EnemyTask* pSelfTask = (EnemyTask *)TaskCtrl_GetCurrentTask();

    // Rewind the cell animation
    NNS_G2dSetCellAnimationCurrentFrame(pSelfTask->cellAnim, 0);

    // Play cell animation
    NNS_G2dStartAnimCtrl(NNS_G2dGetCellAnimationAnimCtrl(pSelfTask->cellAnim));

    pSelfTask->common.func = HeihoRedWalk;          // Change task to [HeihoRedWalk]
    HeihoRedWalk();                                 // Execute [HeihoRedWalk] 
}

