/*---------------------------------------------------------------------------*
  Project:  G2D Program Sample
  File:     SceneStage00.c

  Copyright 2004 Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.

  $Log: $
  $NoKeywords: $
 *---------------------------------------------------------------------------*/

#include <nitro.h>
#include "read_key.h"
#include "scene.h"
#include "effect.h"
#include "fade.h"

/*---------------------------------------------------------------------------*
  Name:         SceneStage00

  Description:  Determines start button trigger input
                and transitions to the the next program sequence.
                        
  Arguments:    None
  
  Returns:      None
 *---------------------------------------------------------------------------*/

void SceneStage00(void)
{
    SceneTask* pSelfTask  = (SceneTask *)TaskCtrl_GetCurrentTask(); 
    EffectTask* titleTask = (EffectTask *)pSelfTask->relateTask;

    if(IS_TRIG(PAD_BUTTON_START))
    {
        if (titleTask->pos.y >= TITLE_DOWN_POSITION     // The title logo is in TITLE_DOWN_POSITION
            && GetBrightness() == 0)                    // Brightness is 0
        {
            titleTask->velocity.y  = -TITLE_MOVE_SPEED; // Move the tite logo up
            pSelfTask->nextScene   = SceneTitle_Init;   // Next scene
            pSelfTask->common.func = SceneChange;       // Change task
        }
    }   
}


