/*---------------------------------------------------------------------------*
  Project:  G2D Program Sample
  File:     scene_title.c

  Copyright 2004 Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.

  $Log: $
  $NoKeywords: $
 *---------------------------------------------------------------------------*/

#include <nitro.h>
#include "read_key.h"
#include "scene.h"
#include "effect.h"
#include "fade.h"

static BOOL scene_change = FALSE;   /* scene change flag */

/*---------------------------------------------------------------------------*
  Name:         SceneTitle

  Description:  Assesses the start button trigger input and transitions to the next scene.
                        
  Arguments:    None
  
  Returns:      None
 *---------------------------------------------------------------------------*/

void SceneTitle(void)
{
    SceneTask* pSelfTask  = (SceneTask *)TaskCtrl_GetCurrentTask(); 
    EffectTask* titleTask = (EffectTask *)pSelfTask->relateTask;

    if(IS_TRIG(PAD_BUTTON_START))
    {
        if (titleTask->pos.y <= TITLE_UP_POSITION       // The title logo is positioned in TITLE_UP_POSITION
            && GetBrightness() == 0)                    // Brightness is 0
        {
            scene_change = TRUE;                        // Change the scene change flag
            titleTask->velocity.y = TITLE_MOVE_SPEED;   // Move the title logo to the bottom
        }
    }
    if (scene_change == TRUE                        
        && titleTask->pos.y >= TITLE_DOWN_POSITION)     // The title logo is positioned lower than TITLE_DOWN_POSITION
    {
        pSelfTask->nextScene = SceneStage00_Init;       // Next scene
        pSelfTask->common.func = SceneChange;           // Change task       
        scene_change = FALSE;                           // Change the scene change flag
    }
}

