/*---------------------------------------------------------------------------*
  Project:  G2D Program Sample
  File:     smoke_init.c

  Copyright 2004 Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.

  $Log: $
  $NoKeywords: $
 *---------------------------------------------------------------------------*/

#include "task_control.h"
#include "utility.h"
#include "effect.h"

/*---------------------------------------------------------------------------*
  Name:         Smoke_Init

  Description:  Initialization process performed before executing [Smoke].
                The pos member and velocity member of the EffectTask structure
                must be set in advance when generating the task.
                        
  Arguments:    None
                
  Returns:      None
 *---------------------------------------------------------------------------*/

void Smoke_Init(void)
{
    EffectTask* pSelfTask = (EffectTask *)TaskCtrl_GetCurrentTask();
    pSelfTask->animSpeed = FX32_ONE;
    pSelfTask->alpha = 30;
    
    pSelfTask->size.x = FX32_ONE * 4;
    pSelfTask->size.y = FX32_ONE * 4;

    pSelfTask->common.func = Smoke;    // Change task to [Smoke]
}
