/*---------------------------------------------------------------------------*
  Project:  G2D Program Sample
  File:     star_init.c

  Copyright 2004 Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.

  $Log: $
  $NoKeywords: $
 *---------------------------------------------------------------------------*/
 
#include <nitro.h>
#include <nnsys/g2d.h>
#include "effect.h"

/*---------------------------------------------------------------------------*
  Name:         Star_Init

  Description:  Performs the initialization process before executing [Star].
                Changes the task to [Star].
                        
  Arguments:    None
                
  Returns:      None
 *---------------------------------------------------------------------------*/

void Star_Init(void)
{
    EffectTask* pSelfTask = (EffectTask *)TaskCtrl_GetCurrentTask();

     pSelfTask->size.x = FX32_ONE;
     pSelfTask->size.y = FX32_ONE;
     
    // Rewind the cell animation
    NNS_G2dSetCellAnimationCurrentFrame(pSelfTask->cellAnim, 0);

    // Play the cell animation
    NNS_G2dStartAnimCtrl(NNS_G2dGetCellAnimationAnimCtrl(pSelfTask->cellAnim));

    pSelfTask->common.func = Star;     // Chang task to [Star]
}

