/*---------------------------------------------------------------------------*
  Project:  G2D Program Sample
  File:     title_mini.c

  Copyright 2004 Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.

  $Log: $
  $NoKeywords: $
 *---------------------------------------------------------------------------*/

#include <nitro.h>
#include <nnsys/g2d.h>
#include "utility.h"
#include "vram_map.h"
#include "effect.h"

/*---------------------------------------------------------------------------*
  Name:         TitleMini

  Description:  Displays a mini title.

  Arguments:    None
                
  Returns:      None
 *---------------------------------------------------------------------------*/

void TitleMini(void)
{
    EffectTask* pSelfTask = (EffectTask *)TaskCtrl_GetCurrentTask();
    static u16      rotate      = 0;            // Rotation angle
    NNSG2dExtendedSprite      spriteTitleMini;
            
    G3X_AlphaBlend( TRUE );
                        
    spriteTitleMini.uvUL.x = 0;
    spriteTitleMini.uvLR.x = FX32_ONE * 128;
    spriteTitleMini.uvUL.y = 0;
    spriteTitleMini.uvLR.y = FX32_ONE * 16;
    spriteTitleMini.basicParams.color = GX_RGB( 31, 31, 31 );

    spriteTitleMini.flipH = FALSE;
    spriteTitleMini.flipV = FALSE;
    
    spriteTitleMini.rotO.x = 0;
    spriteTitleMini.rotO.y = 0;
    spriteTitleMini.rotX = rotate;
    spriteTitleMini.rotY = 0;
    
    spriteTitleMini.basicParams.pTextureAttr = &TexAttrTitleMini;
    spriteTitleMini.basicParams.texAddr      = VRAM_MAP_TEX_TITLE_MINI;
    spriteTitleMini.basicParams.plttAddr     = VRAM_MAP_TEXPLTT_TITLE_MINI;
    spriteTitleMini.basicParams.plttOffset   = 0;

    spriteTitleMini.basicParams.simpleParams.pos.x     = 128;
    spriteTitleMini.basicParams.simpleParams.pos.y     = 176;
    spriteTitleMini.basicParams.simpleParams.size.x    = 128;
    spriteTitleMini.basicParams.simpleParams.size.y    = 16;
    spriteTitleMini.basicParams.simpleParams.rotZ      = 0;
    spriteTitleMini.basicParams.simpleParams.priority  = DISPLAY_PRIORITY_TITLE_MINI;
    spriteTitleMini.basicParams.simpleParams.alpha     = (u8)pSelfTask->alpha;

    // Do Draw
    NNS_G2dDrawSpriteExtended( &spriteTitleMini );
}
