/*---------------------------------------------------------------------------*
  Project:  G2D Program Sample
  File:     title_mini_init.c

  Copyright 2004 Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.

  $Log: $
  $NoKeywords: $
 *---------------------------------------------------------------------------*/

#include "effect.h"

/*---------------------------------------------------------------------------*
  Name:         TitleMini_Init

  Description:  Executes the initialization process before executing "TitleMini."
                        
  Arguments:    None
                
  Returns:      None
 *---------------------------------------------------------------------------*/

void TitleMini_Init(void)
{
    EffectTask* pSelfTask = (EffectTask *)TaskCtrl_GetCurrentTask();
    
    pSelfTask->velocity.x  = 0;     
    pSelfTask->animSpeed = FX32_ONE;

    pSelfTask->alpha = 31;
    pSelfTask->pos.x = 0;
    pSelfTask->pos.y = 0;

    pSelfTask->size.x = FX32_ONE;
    pSelfTask->size.y = FX32_ONE;

    pSelfTask->common.func = TitleMini;        // Change the task to "TitleMini"
}


