/*---------------------------------------------------------------------------*
  Project:  G2D Program Sample
  File:     yoshi_brake_init.c

  Copyright 2004 Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.

  $Log: $
  $NoKeywords: $
 *---------------------------------------------------------------------------*/
 
#include <nitro.h>
#include <nnsys/g2d.h>
#include "yoshi.h"

/*---------------------------------------------------------------------------*
  Name:         YoshiBrake_Init

  Description:  Executes the initialization process before executing "YoshiBrake."
                Changes the task to "YoshiBrake."
                Executes "YoshiBrake" directly.
                        
  Arguments:    None
                
  Returns:      None
 *---------------------------------------------------------------------------*/

void YoshiBrake_Init(void)
{
    YoshiTask* pSelfTask = (YoshiTask *)TaskCtrl_GetCurrentTask();
    const NNSG2dAnimSequence* pSeq;
         
    // Cell animation sequence setting 
    pSeq = NNS_G2dGetAnimSequenceByIdx( objDataYoshi.pAnimBank, YOSHI_ANIM_BRAKE );
    NNS_G2dSetCellAnimationSequence( pSelfTask->cellAnim, pSeq );

    // Cell animation rewind
    NNS_G2dSetCellAnimationCurrentFrame(pSelfTask->cellAnim, 0);

    // Cell animation playback
    NNS_G2dStartAnimCtrl(NNS_G2dGetCellAnimationAnimCtrl(pSelfTask->cellAnim));

    pSelfTask->velocity.y = 0;
    pSelfTask->common.func = YoshiBrake;    // Change the task to "YoshiBrake"
    YoshiBrake();                           // Execute "YoshiBrake"
}
